<bugID>1308467<Summary>Inspector is empty when remote debugging Firefox 51 or older from Firefox 52</Summary><Description>Regression from Bug 1265796.

When trying to remote debug Firefox 51 or older from Firefox 52, the inspector is blank.

The following error seems to be the root cause of the issue:

Full message: TypeError: CSS_PROPERTIES_DB.properties[name] is undefined
Full stack: normalizeCssData@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/shared/fronts/css-properties.js:303:1
initCssProperties&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/shared/fronts/css-properties.js:222:43

In fronts/css-properties.js we have:
&gt; const serverDB = yield front.getCSSDatabase(getClientBrowserVersion(toolbox));

When connected to Firefox 51 or older, this returns an object with a key for each css property name (as expected) _and_ a "from" property which contains the actor id that returned the object.

This then fails when trying to add "subproperties", because we don't check that that CSS_PROPERTIES_DB.properties[name] is a valid object.</Description></bugID>